<template>
  <div class="wrapper">
    <div id="headTitle">
      <logo />
      <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('serial') }}</h1>
    </div>
    <Header />
    <ol id="topicPath">
      <li style="margin-left: 285px">
        <a href="#"> {{ i18ntext.lngText('serial') }} </a>
      </li>
    </ol>
    <div class="container-fuild"></div>
    <div class="search-box">
      <div id="product">
        <div class="search-box">
          <h2 class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0;">

              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                    <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                       <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('stock-alert') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ stockcount }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>
                  <router-link to="/ex_alert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('expire-alert1') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ count_expire }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>

            </div>
            <div id="right">
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; width:79px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText('menu') }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    @click="getsuppliyerview()"
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                    ><i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}</a
                  >
                </li>

              </ul>
            </div>
          </h2>

          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
          <div class="search-box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_search"
              id="hover-table"
            >
              <tbody>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('serial') }}</th>
                  <td width="90%">
                    <input autocomplete="off"
                      class="string_zen_kana clear_text text"
                      v-model="form.serail_code"
                      :disabled="dis"
                      maxlength="50"
                      size="50"
                      type="text"
                      tabindex="10000"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('Prefix_code') }}</th>
                  <td width="90%">
                    <input autocomplete="off"
                      class="string_zen_kana clear_text text"
                      name="PrefixCode"
                      maxlength="50"
                      :disabled="dis"
                      v-model="form.prefix_code"
                      size="50"
                      type="text"
                      tabindex="10001"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('qty_code') }}</th>
                  <td width="90%">
                    <input autocomplete="off"
                      class="string_zen_kana clear_text text"
                      maxlength="50"
                      name="QtyCode"
                      v-model="form.qty_code"
                      size="50"
                      type="text"
                      tabindex="10001"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('start_code') }}</th>
                  <td width="90%">
                    <input autocomplete="off"
                      class="string_zen_kana clear_text text"
                      maxlength="50"
                      name="StartCode"
                      v-model="form.start_code"
                      size="50"
                      type="text"
                      tabindex="10001"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('end_code') }}</th>
                  <td width="90%">
                    <input autocomplete="off"
                      class="string_zen_kana clear_text text"
                      maxlength="50"
                      name="StartCode"
                      v-model="form.end_code"
                      size="50"
                      type="text"
                      tabindex="10001"
                    />
                  </td>
                </tr>
              </tbody>
            </table>

            <div class="search-box-footer">
              <div v-if="backed == true" @click="back()" class="button type2" id="uniform-undefined">
                <span
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fa fa-arrow-left" style="margin-right: 3px"></i> {{ i18ntext.lngText('back') }}</span
                >
              </div>

              <div v-if="btn_search_delete == 'Delete'"
                class="button type2"
                id="uniform-undefined"
                data-bs-target="#serialdeteted"
                data-bs-toggle="modal"
              >
                <span>
                  <input autocomplete="off" type="button" value="display" class="type2" style="opacity: 0; width: 54px" tabindex="10025"/>
                  <i v-if="btn_search_delete == 'Search'" class="fa fa-search" aria-hidden="true"></i>
                  <i v-else class="fa fa-trash" aria-hidden="true"></i>
                  {{ i18ntext.lngText('Delete') }}
                  </span>
              </div>

              <div v-else class="button type2" id="uniform-undefined">
                <span>
                  <input autocomplete="off" type="button" value="display" class="type2" style="opacity: 0; width: 54px" tabindex="10025"/>
                  <i v-if="btn_search_delete == 'Search'" class="fa fa-search" aria-hidden="true"></i>
                  <i v-else class="fa fa-trash" aria-hidden="true"></i>
                  {{ i18ntext.lngText('search') }}
                </span>
              </div>
              <div v-if="this.btn_save_update == 'Update'"
                class="button type2"
                id="uniform-undefined"
                data-bs-toggle="modal"
                data-bs-target="#serialsave"
              >
                <span
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fas fa-file-import"></i> {{ i18ntext.lngText('update') }}</span
                >
              </div>
              <div v-else
                class="button type2"
                id="uniform-undefined"
                data-bs-toggle="modal"
                data-bs-target="#serialsave"
              >
                <span
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fas fa-file-import"></i> {{ i18ntext.lngText('save') }}</span
                >
              </div>
              <span class="marker"></span>
            </div>
          </div>

          <div class="box" style="margin-top: 25px">
            <table
            width="100%"
            border="0"
            cellpadding="0"
            cellspacing="0"
            class="table table-striped br-table"
          >
            <thead>
              <tr class="header-table">
                <th>{{i18ntext.lngText('no')}}</th>
                  <th>{{i18ntext.lngText('serial')}}</th>
                  <th>{{i18ntext.lngText('Prefix_code')}}</th>
                  <th>{{i18ntext.lngText('qty_code')}}</th>
                  <th>{{i18ntext.lngText('start_code')}}</th>
                  <th>{{i18ntext.lngText('end_code')}}</th>
                  <th></th>
              </tr>
            </thead>
            <tbody>
                  <tr v-for="(Serail, index) in serails.data" :key="index" class="cate-td">
                    <td width="3%">{{ index + 1 + "." }}</td>
                    <td width="12%">{{ Serail.serail_code }}</td>
                    <td width="12%">{{ Serail.prefix_code }}</td>
                    <td width="12%">{{ Serail.qty_code }}</td>
                    <td width="12%">{{ Serail.start_code }}</td>
                    <td width="12%">{{ Serail.end_code }}</td>
                    <td width="8%" class="text-center">
                      <div class="button" id="uniform-undefined">
                        <span>
                          <i class="fa fa-edit"></i>
                          {{i18ntext.lngText('select')}}
                          <input autocomplete="off"
                            type="button"
                            @click="btnEdit(Serail)"
                            data-bs-toggle="modal"
                            data-bs-target="#staticBackdrop"
                            tabindex="10028"
                            style="opacity: 0; width: 100%"
                          />
                        </span>
                      </div>
                    </td>
                  </tr>
                </tbody>
          </table>
            <div
              class="modal fade ui-modal"
              id="serialsave"
              data-bs-backdrop="static"
              data-bs-keyboard="false"
              tabindex="-1"
              aria-labelledby="clearconfirm"
              aria-hidden="true"
            >
              btnsave
              <div class="modal-dialog smallpopup" id="nonbackgroundboom">
                <div class="modal-content ui-dialog">
                  <div class="ui-widget-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                      <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog"
                        >{{ i18ntext.lngText('confirm_message') }}</span
                      >
                    </h5>
                    <span
                      class="ui-icon ui-icon-closethick btn-cancel"
                      data-bs-dismiss="modal"
                      aria-label="Close"
                    ></span>
                  </div>
                  <div class="ui-dialog-content" style="background-color: #fff">
                    <div v-if="this.btn_save_update == 'Save'" class="modal-body">{{ i18ntext.lngText('save_ask') }}</div>
                    <div v-else class="modal-body">{{ i18ntext.lngText('update_ask') }}</div>
                    <div class="modal-footer">
                      <div
                        class="button type2"
                        id="uniform-undefined"
                        data-bs-dismiss="modal"
                        @click="cancel()"
                      >
                        <span
                          >{{i18ntext.lngText('no1')}}<input autocomplete="off"
                            type="button"
                            class="type2"
                            tabindex="10008"
                            value="No"
                            style="width: 89px; opacity: 0"
                          />
                        </span>
                      </div>
                      <div class="button type2" data-bs-dismiss="modal" @click="save()">
                        <span>{{i18ntext.lngText('yes')}}</span>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div
              class="modal fade ui-modal"
              id="serialdeteted"
              data-bs-backdrop="static"
              data-bs-keyboard="false"
              tabindex="-1"
              aria-labelledby="clearconfirm"
              aria-hidden="true"
            >
              {{ medol_delted }}
              <div class="modal-dialog smallpopup" id="nonbackgroundboom">
                <div class="modal-content ui-dialog">
                  <div class="ui-widget-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                      <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog"
                        >{{ i18ntext.lngText('confirm_message') }}</span
                      >
                    </h5>
                    <span
                      class="ui-icon ui-icon-closethick btn-cancel"
                      data-bs-dismiss="modal"
                      aria-label="Close"
                    ></span>
                  </div>
                  <div class="ui-dialog-content" style="background-color: #fff">
                    <div class="modal-body">{{ i18ntext.lngText('delete_message') }}</div>
                    <div class="modal-footer">
                      <div
                        class="button type2"
                        id="uniform-undefined"
                        data-bs-dismiss="modal"
                        @click="cancel()"
                      >
                        <span>
                          {{i18ntext.lngText('no1')}}
                          <input autocomplete="off"
                            type="button"
                            class="type2"
                            tabindex="10008"
                            value="No"
                            style="width: 89px; opacity: 0"
                          />
                        </span>
                      </div>
                      <div class="button type2" data-bs-dismiss="modal" @click="btnDelete(selectid)">
                        <span> {{i18ntext.lngText('yes')}}</span>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="box-footer-pagination">
              <pagination :limit="2" :data="serails" @pagination-change-page="getSerail" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i>  {{ i18ntext.lngText('print') }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3 " id="purchaseorder" style="height: auto !important;">
                <div style="padding: 0 50px 0 50px;" >
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('serail_report') }}</h3>
                    </div>
                  </div>

                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad"> {{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad">
                        <span id="bold"> {{ i18ntext.lngText('name') }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold"> {{ i18ntext.lngText('phone') }} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold"> {{ i18ntext.lngText('email') }} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold"> {{ i18ntext.lngText('address') }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad"> {{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('serail_total') }}</p>
                      <p class="text-center p-mg" id="fon">{{ serails.total }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center"> {{ i18ntext.lngText('user_id') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('serial') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('Prefix_code') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('qty_code') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('start_code') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('end_code') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(Serail, index) in serails.data" :key="index">
                          <td width="3%">{{ index + 1 + "." }}</td>
                          <td width="12%">{{ Serail.serail_code }}</td>
                          <td width="12%">{{ Serail.prefix_code }}</td>
                          <td width="12%">{{ Serail.qty_code }}</td>
                          <td width="12%">{{ Serail.start_code }}</td>
                          <td width="12%">{{ Serail.end_code }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>

                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a
          >
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>
<script>
import { ref, reactive, watch, computed, onMounted } from "vue";
import axios from "axios";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Auth from "../../auth/Auth";
import Header from "../Header.vue";
import Logo from "../logo.vue";
import Footer from "../footer.vue";
import print from "vue3-print-nb";
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
export default {
  components: { Header, Footer, pagination, Logo,UserInfo },
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      serails: "",
      checkbt: "",
      perPage: "",
      currentPage: 0,
      company: [],
      formatdate: "",
      last_page: 1,
      action_api: "",
      btn_save_update: "Save",
      btn_search_delete: "Search",
      action_api_1: "",
      backed: false,
      dis: false,
      form: {
        id: "",
        serail_code: "",
        prifix_code: "",
        qty_code: "",
        start_code: "",
        end_code: "",
        created_by: "",
        updated_by: "",
      },
      stockcount:0,
      count_expire:0,
      selectid:"",
    };
  },
  mounted() {
    this.getSerail();
    this.getcompany();
    this.getstockalert()
    this.getExpireAlert()
  },

  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    getSerail(page = 1) {
      if (page > 0 && page <= this.last_page) {
        axios
          .get("api/v1/serail")
          .then(({ data }) => {
            this.links = data.links;
            this.last_page = data.last_page;
            this.links.forEach((element) => {
              if (element.label == page) {
                this.perPage = "api/v1/serail?page=" + page;
                axios.get(this.perPage).then(({ data }) => {
                  this.currentPage = data.current_page;
                  this.serails = data;
                });
              }
            });
          })
          .catch(({ response }) => {
            console.error(response);
          });
      }
    },
    btnClear() {
      this.form = {};
    },
    btnClose() {
      this.form = {};
    },
    btnAdd() {
      this.checkbt = "create";
      this.form = {};
      this.action_api = "api/v1/serail/store";
    },
    btnSave() {
      this.form.created_by = Auth.user.id;
      axios.post("api/v1/serail/store", this.form).then((res) => {
        console.log(Serail);
        this.getSerail();
        this.form = Object.assign({});
      });
    },
    btnEdit(serail) {
      this.btn_save_update = "Update";
      this.btn_search_delete = "Delete";
      this.dis = true;
      this.form = serail;
      console.log(this.form);
      this.backed = true;
    },
    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },
    btnUpdate() {
      axios.post("api/v1/serail/update/" + this.form.serail_code, this.form).then(() => {
        this.getSerail();
        this.form = {};
      });
    },
    btnsave() {
      if (this.btn_save_update == "Update") {
        this.btnUpdate();
        this.form = {};
      } else {
        this.btnSave();
      }
    },
    btnDelete(id) {
      axios.post("api/v1/serail/delete/" +this.form.serail_code).then((res) => {
        this.getSerail()
        this.form = {}
        this.backed = false;
        this.btn_search_delete = "Search";
      });
    },
    selectdelect(id) {
      this.selectid = id;
    },
    back() {
      this.backed = false;
      this.form = {};
      this.btn_save_update = "Save";
      this.btn_search_delete = "Search";
    },
    save() {
      if (this.btn_save_update == "Save") {
        this.btnSave();
        this.getSerail();
        this.btn_save_update = "Save";
        this.form = {};
      }
      if (this.btn_save_update == "Update") {
        this.form.updated_by = Auth.user.id;
        this.btnUpdate();
        this.getSerail();
        this.btn_save_update = "Save";
        this.btn_search_delete = "Search";
        this.backed = false;
        this.form = {
          id: "",
          serail_code: "",
          prifix_code: "",
          qty_code: "",
          start_code: "",
          end_code: "",
        };
      }
    },
  },
};
</script>
